package com.wisewoods.eduandroid.ui.adapter;

import com.wisewoods.base.base.BaseVH;
import com.wisewoods.base.bean.SleepInfo;
import com.wisewoods.base.page.BasePageAdapter;
import com.wisewoods.eduandroid.R;

import org.jetbrains.annotations.NotNull;

public class SleepAdapter extends BasePageAdapter<SleepInfo.DataBean> {
    public SleepAdapter() {
        super(R.layout.item_recycler_sleep);
    }

    @Override
    protected void convert(@NotNull BaseVH baseVH, SleepInfo.DataBean dataBean) {
        baseVH.setText(R.id.tv_name, dataBean.dormitoryName + " " + dataBean.roomNumber)
                .setText(R.id.tv_time, dataBean.strRoomDate);
    }
}
